package rph.cars;

import java.util.List;

public class CarsExample {

	public static void main(String[] args) {
		CarsDatabase db = new CarsDatabase();
		db.addCar("Skoda", "Octavia", 2005, 3, 150);
		db.addCar("Mercedes", "SLK", 2012, 4, 5000);
		db.addCar("Skoda", "Fabia", 2008, 2, 130);
		db.addCar("Mercedes", "C200", 2002, 3, 250);
		db.addCar("Skoda", "Citigo", 2012, 0, 200);
		db.addCar("Aston Martin", "DBS", 2008, 4, 1500);
		db.addCar("Skoda", "Octavia", 2000, 2, 50);
		db.addCar("Nissan", "Primera", 2005, 2, 120);
		db.addCar("Lancia", "Stratos", 1973, 4, 2000);
		db.addCar("Audi", "TT", 2000, 4, 250);
		db.addCar("Audi", "S8", 2012, 4, 2000);
		db.addCar("Mini", "Cooper", 1962, 0, 100);
		db.addCar("Volkswagen", "Beatle", 2009, 2, 200);
		db.addCar("Bugatti", "Veyron", 2008, 4, 35000);
		db.addCar("Ford", "Focus", 2001, 3, 70);

		List<Car> carsSortedByPrice = db.getCarsSortedByPrice();
		System.out.println("Cars sorted by price:");
		db.printCarsList(carsSortedByPrice);
		System.out.println("\n");
		
		List<Car> carsSortedByBrandAndModel = db.getCarsSortedByBrandAndModel();
		System.out.println("Cars sorted by brand and model:");
		db.printCarsList(carsSortedByBrandAndModel);
		System.out.println("\n");
		
		List<Car> carsYear2005 = db.getCarsByYear(2005);
		System.out.println("Cars from the year 2005:");
		db.printCarsList(carsYear2005);
		System.out.println("\n");
		
		List<Car> carsYear2012 = db.getCarsByYear(2012);
		System.out.println("Cars from the year 2012:");
		db.printCarsList(carsYear2012);
		System.out.println("\n");
		
		List<Car> carsInsuranceCat1 = db.getCarsByInsuranceCat(1);
		System.out.println("Cars in the insurance cat 1:");
		db.printCarsList(carsInsuranceCat1);
		System.out.println("\n");
		
		List<Car> carsInsuranceCat3 = db.getCarsByInsuranceCat(3);
		System.out.println("Cars in the insurance cat 3:");
		db.printCarsList(carsInsuranceCat3);
		System.out.println("\n");
		
	}
}
